.ds xT X Toolkit Intrinsics \- C Language Interface
.ds xW Athena X Widgets \- C Language X Toolkit Interface
.ds xL Xlib \- C Language X Interface
.ds xC Inter-Client Communication Conventions Manual
.na
.de Ds
.nf
.\\$1D \\$2 \\$1
.ft 1
.\".ps \\n(PS
.\".if \\n(VS>=40 .vs \\n(VSu
.\".if \\n(VS<=39 .vs \\n(VSp
..
.de De
.ce 0
.if \\n(BD .DF
.nr BD 0
.in \\n(OIu
.if \\n(TM .ls 2
.sp \\n(DDu
.fi
..
.de FD
.LP
.KS
.TA .5i 3i
.ta .5i 3i
.nf
..
.de FN
.fi
.KE
.LP
..
.de IN		\" send an index entry to the stderr
..
.de C{
.KS
.nf
.D
.\"
.\"	choose appropriate monospace font
.\"	the imagen conditional, 480,
.\"	may be changed to L if LB is too
.\"	heavy for your eyes...
.\"
.ie "\\*(.T"480" .ft L
.el .ie "\\*(.T"300" .ft L
.el .ie "\\*(.T"202" .ft PO
.el .ie "\\*(.T"aps" .ft CW
.el .ft R
.ps \\n(PS
.ie \\n(VS>40 .vs \\n(VSu
.el .vs \\n(VSp
..
.de C}
.DE
.R
..
.de Pn
.ie t \\$1\fB\^\\$2\^\fR\\$3
.el \\$1\fI\^\\$2\^\fP\\$3
..
.de ZN
.ie t \fB\^\\$1\^\fR\\$2
.el \fI\^\\$1\^\fP\\$2
..
.de NT
.ne 7
.ds NO Note
.if \\n(.$>$1 .if !'\\$2'C' .ds NO \\$2
.if \\n(.$ .if !'\\$1'C' .ds NO \\$1
.ie n .sp
.el .sp 10p
.TB
.ce
\\*(NO
.ie n .sp
.el .sp 5p
.if '\\$1'C' .ce 99
.if '\\$2'C' .ce 99
.in +5n
.ll -5n
.R
..
.		\" Note End -- doug kraft 3/85
.de NE
.ce 0
.in -5n
.ll +5n
.ie n .sp
.el .sp 10p
..
.ny0
.TH XSetFontPath 3X11 "Release 5" "X Version 11" "XLIB FUNCTIONS"
.SH NAME
XSetFontPath, XGetFontPath, XFreeFontPath \- set, get, or free the font search path
.SH SYNTAX
.\" $Header: XSetFontPath.f,v 1.1 88/02/26 10:03:10 mento Exp $
XSetFontPath\^(\^\fIdisplay\fP, \fIdirectories\fP\^, \fIndirs\fP\^)
.br
      Display *\fIdisplay\fP\^;
.br
      char **\fIdirectories\fP\^;
.br
      int \fIndirs\fP\^;
.LP
.\" $Header: XGetFontPath.f,v 1.1 88/02/26 10:00:27 mento Exp $
char **XGetFontPath\^(\^\fIdisplay\fP, \fInpaths_return\fP\^)
.br
      Display *\fIdisplay\fP\^;
.br
      int *\fInpaths_return\fP\^;

.LP
.\" $Header: XFFontPath.f,v 1.1 88/02/26 09:59:58 mento Exp $
XFreeFontPath\^(\^\fIlist\fP\^)
.br
      char **\fIlist\fP\^;

.SH ARGUMENTS
.\" $Header: directories.a,v 1.1 88/02/26 10:06:52 mento Exp $
.IP \fIdirectories\fP 1i
Specifies the directory path used to look for a font.
Setting the path to the empty list restores the default path defined
for the X server.
.\" $Header: display.a,v 1.1 88/02/26 10:26:29 mento Exp $
.IP \fIdisplay\fP 1i
Specifies the connection to the X server.
.\" $Header: list.a,v 1.1 88/02/26 10:28:40 mento Exp $
.IP \fIlist\fP 1i
Specifies the array of strings you want to free.
.\" $Header: ndirs.a,v 1.1 88/02/26 10:29:29 mento Exp $
.IP \fIndirs\fP 1i
Specifies the number of directories in the path.
.\" $Header: npaths.a,v 1.1 88/02/26 10:29:38 mento Exp $
.IP \fInpaths_return\fP 1i
Returns the number of strings in the font path array.
.SH DESCRIPTION
.\" $Header: XSetFontPath.d,v 1.2 88/06/11 07:53:13 mento Exp $
The
.ZN XSetFontPath
function defines the directory search path for font lookup.
There is only one search path per X server, not one per client.
The encoding and interpretation of the
strings is implementation dependent, but typically they specify
directories or font servers to be searched in the order listed.
An X server is permitted to cache font information internally,
for example, it might cache an entire font from a file and not
check on subsequent opens of that font to see if the underlying
font file has changed.
However,
when the font path is changed
the X server is guaranteed to flush all cached information about fonts 
for which there currently are no explicit resource IDs allocated.
The meaning of an error from this request is implementation dependent.
.LP
.ZN XSetFontPath
can generate a
.ZN BadValue 
error.
.LP
.\" $Header: XGetFontPath.d,v 1.3 88/04/23 09:36:29 mento Exp $
The
.ZN XGetFontPath
function allocates and returns an array of strings containing the search path.
The contents of these strings are implementation dependent
and are not intended to be interpreted by client applications.
When it is no longer needed,
the data in the font path should be freed by using
.ZN XFreeFontPath .
.LP
.\" $Header: XFFontPath.d,v 1.3 88/04/06 15:18:51 mento Exp $
The
.ZN XFreeFontPath
function
frees the data allocated by
.ZN XGetFontPath .
.SH DIAGNOSTICS
.\" $Header: badvalue.e,v 1.1 87/09/04 08:23:19 mento Exp $
.TP 1i
.ZN BadValue
Some numeric value falls outside the range of values accepted by the request.
Unless a specific range is specified for an argument, the full range defined
by the argument's type is accepted.  Any argument defined as a set of
alternatives can generate this error.
.SH "SEE ALSO"
XListFont(3X11),
XLoadFonts(3X11)
.br
\fI\*(xL\fP
